
Infrastructure - Story #2192

Implement NodeReplicationPolicy in Node Registry Service

2012-01-10 19:48 - Robert Waltz

Status: Closed Start date: 2014-09-02

Priority: Normal Due date: 2015-01-06

Assignee: Rob Nahf % Done: 100%

Category: d1_cn_node_registry Estimated time: 0.00 hour

Target version: CCI-2.2.0   

Story Points:    

Description

Tasks would include modifying the LDAP schema

altering methods:

* NodeAccess.mapNode

* buildNodeAttributes (is this NodeAccess.buildNodeAttributeMap? )

* NodeRegistryService.updateNodeCapabilities

Subtasks:

Task # 3926: add new attributes and object class to dataone ldap schema file Closed

Task # 6035: Modify NodeAccess methods to include NodeReplicationPolicy attributes Closed

Task # 6036: update NodeRegistryServices.updateNodeCapabilities Rejected

Task # 6157: merge d1_cn_nodeRegistry changes from trunk to new branch Closed

Related issues:

Related to Infrastructure - Story #4463: Incorporate Node Replication Policy ... In Progress 2014-09-10

Associated revisions

Revision c76f2263 - 2014-08-11 17:57 - Robert Waltz

refs #2192 - Creating an Test Resource for ApacheDS mock server that may be used throughout all DataONE components that need LDAP unit tests

performed on them, in order to untie our testing environment from our OS system environment (dependency on OpenLDAP).

Revision 14352 - 2014-08-11 17:57 - Robert Waltz

refs #2192 - Creating an Test Resource for ApacheDS mock server that may be used throughout all DataONE components that need LDAP unit tests

performed on them, in order to untie our testing environment from our OS system environment (dependency on OpenLDAP).

Revision 14352 - 2014-08-11 17:57 - Robert Waltz

refs #2192 - Creating an Test Resource for ApacheDS mock server that may be used throughout all DataONE components that need LDAP unit tests

performed on them, in order to untie our testing environment from our OS system environment (dependency on OpenLDAP).

Revision 14352 - 2014-08-11 17:57 - Robert Waltz

refs #2192 - Creating an Test Resource for ApacheDS mock server that may be used throughout all DataONE components that need LDAP unit tests

performed on them, in order to untie our testing environment from our OS system environment (dependency on OpenLDAP).

Revision 14352 - 2014-08-11 17:57 - Robert Waltz

refs #2192 - Creating an Test Resource for ApacheDS mock server that may be used throughout all DataONE components that need LDAP unit tests

performed on them, in order to untie our testing environment from our OS system environment (dependency on OpenLDAP).

Revision 90174b02 - 2014-08-11 17:58 - Robert Waltz

refs #2192
Creating an Test Resource for ApacheDS mock server that may be used throughout all DataONE components that need LDAP unit tests performed

on them, in order to untie our testing environment from our OS system environment (dependency on OpenLDAP).

Revision 14353 - 2014-08-11 17:58 - Robert Waltz

refs #2192

Creating an Test Resource for ApacheDS mock server that may be used throughout all DataONE components that need LDAP unit tests performed

on them, in order to untie our testing environment from our OS system environment (dependency on OpenLDAP).

Revision 14353 - 2014-08-11 17:58 - Robert Waltz

refs #2192

Creating an Test Resource for ApacheDS mock server that may be used throughout all DataONE components that need LDAP unit tests performed

on them, in order to untie our testing environment from our OS system environment (dependency on OpenLDAP).

Revision 14353 - 2014-08-11 17:58 - Robert Waltz

refs #2192

Creating an Test Resource for ApacheDS mock server that may be used throughout all DataONE components that need LDAP unit tests performed

on them, in order to untie our testing environment from our OS system environment (dependency on OpenLDAP).

Revision 14353 - 2014-08-11 17:58 - Robert Waltz

refs #2192

Creating an Test Resource for ApacheDS mock server that may be used throughout all DataONE components that need LDAP unit tests performed

on them, in order to untie our testing environment from our OS system environment (dependency on OpenLDAP).

Revision 20ea5204 - 2014-08-11 19:27 - Robert Waltz

refs #2192

Updating the Snapshot Level to be compliant with current development cycle

Revision 14354 - 2014-08-11 19:27 - Robert Waltz

refs #2192

Updating the Snapshot Level to be compliant with current development cycle

Revision 14354 - 2014-08-11 19:27 - Robert Waltz

refs #2192

Updating the Snapshot Level to be compliant with current development cycle

Revision 14354 - 2014-08-11 19:27 - Robert Waltz

refs #2192
Updating the Snapshot Level to be compliant with current development cycle

Revision 14354 - 2014-08-11 19:27 - Robert Waltz

refs #2192

Updating the Snapshot Level to be compliant with current development cycle

Revision 736ca7fb - 2014-08-11 19:41 - Robert Waltz

refs #2192

Updating the apacheds milestone release

Revision 14355 - 2014-08-11 19:41 - Robert Waltz

refs #2192

Updating the apacheds milestone release

Revision 14355 - 2014-08-11 19:41 - Robert Waltz

refs #2192

Updating the apacheds milestone release

Revision 14355 - 2014-08-11 19:41 - Robert Waltz

refs #2192

Updating the apacheds milestone release

Revision 14355 - 2014-08-11 19:41 - Robert Waltz

refs #2192

Updating the apacheds milestone release

Revision 5342a145 - 2014-08-11 19:51 - Robert Waltz

refs #2192

Updating the apacheds workaround for the broken dependency tree problem of apache-server-integ

Revision 14356 - 2014-08-11 19:51 - Robert Waltz

refs #2192

Updating the apacheds workaround for the broken dependency tree problem of apache-server-integ

Revision 14356 - 2014-08-11 19:51 - Robert Waltz

refs #2192

Updating the apacheds workaround for the broken dependency tree problem of apache-server-integ

2024-04-25 3/10



Revision 14356 - 2014-08-11 19:51 - Robert Waltz

refs #2192

Updating the apacheds workaround for the broken dependency tree problem of apache-server-integ

Revision 14356 - 2014-08-11 19:51 - Robert Waltz

refs #2192

Updating the apacheds workaround for the broken dependency tree problem of apache-server-integ

Revision d069caa2 - 2014-08-11 20:00 - Robert Waltz

refs #2192 - fixing bad path in test

Revision 14357 - 2014-08-11 20:00 - Robert Waltz

refs #2192 - fixing bad path in test

Revision 14357 - 2014-08-11 20:00 - Robert Waltz

refs #2192 - fixing bad path in test

Revision 14357 - 2014-08-11 20:00 - Robert Waltz

refs #2192 - fixing bad path in test

Revision 14357 - 2014-08-11 20:00 - Robert Waltz

refs #2192 - fixing bad path in test

Revision 754e838e - 2014-08-12 20:53 - Robert Waltz

refs #2192

Allowing for the ApacheDS server reference to be retrieved from the ApacheDSSuiteRunner. Adding a naming convention for the Units of the Suite to

test. (TestUnit), that will not conflict with Maven's surfire plug-in conventions that will run any Junit class that ends with 'Test'.

Revision 14366 - 2014-08-12 20:53 - Robert Waltz

refs #2192

Allowing for the ApacheDS server reference to be retrieved from the ApacheDSSuiteRunner. Adding a naming convention for the Units of the Suite to

test. (TestUnit), that will not conflict with Maven's surfire plug-in conventions that will run any Junit class that ends with 'Test'.

Revision 14366 - 2014-08-12 20:53 - Robert Waltz

refs #2192

Allowing for the ApacheDS server reference to be retrieved from the ApacheDSSuiteRunner. Adding a naming convention for the Units of the Suite to

test. (TestUnit), that will not conflict with Maven's surfire plug-in conventions that will run any Junit class that ends with 'Test'.

Revision 14366 - 2014-08-12 20:53 - Robert Waltz

refs #2192
Allowing for the ApacheDS server reference to be retrieved from the ApacheDSSuiteRunner. Adding a naming convention for the Units of the Suite to

test. (TestUnit), that will not conflict with Maven's surfire plug-in conventions that will run any Junit class that ends with 'Test'.

Revision 14366 - 2014-08-12 20:53 - Robert Waltz

refs #2192

Allowing for the ApacheDS server reference to be retrieved from the ApacheDSSuiteRunner. Adding a naming convention for the Units of the Suite to

test. (TestUnit), that will not conflict with Maven's surfire plug-in conventions that will run any Junit class that ends with 'Test'.

Revision 246802a0 - 2014-08-12 20:55 - Robert Waltz

refs #2192

Adding in the d1_test_resources ApacheDSSuiteRunner to manage the running of ApacheDS for multiple test classes via the JUnit Suite Runner

functionality. Adding a naming convention for the Units of the Suite to test. (TestUnit), that will not conflict with Maven's surfire plug-in conventions

that will run any Junit class that ends with 'Test'.

Fixed some Code in NodeAccess that was causing failures in one of the JUnit tests.

Revision 14367 - 2014-08-12 20:55 - Robert Waltz

refs #2192

Adding in the d1_test_resources ApacheDSSuiteRunner to manage the running of ApacheDS for multiple test classes via the JUnit Suite Runner

functionality. Adding a naming convention for the Units of the Suite to test. (TestUnit), that will not conflict with Maven's surfire plug-in conventions

that will run any Junit class that ends with 'Test'.

Fixed some Code in NodeAccess that was causing failures in one of the JUnit tests.

Revision 14367 - 2014-08-12 20:55 - Robert Waltz

refs #2192

Adding in the d1_test_resources ApacheDSSuiteRunner to manage the running of ApacheDS for multiple test classes via the JUnit Suite Runner

functionality. Adding a naming convention for the Units of the Suite to test. (TestUnit), that will not conflict with Maven's surfire plug-in conventions

that will run any Junit class that ends with 'Test'.

Fixed some Code in NodeAccess that was causing failures in one of the JUnit tests.

Revision 14367 - 2014-08-12 20:55 - Robert Waltz

refs #2192

Adding in the d1_test_resources ApacheDSSuiteRunner to manage the running of ApacheDS for multiple test classes via the JUnit Suite Runner

functionality. Adding a naming convention for the Units of the Suite to test. (TestUnit), that will not conflict with Maven's surfire plug-in conventions

that will run any Junit class that ends with 'Test'.

Fixed some Code in NodeAccess that was causing failures in one of the JUnit tests.
Revision 14367 - 2014-08-12 20:55 - Robert Waltz

refs #2192

Adding in the d1_test_resources ApacheDSSuiteRunner to manage the running of ApacheDS for multiple test classes via the JUnit Suite Runner

functionality. Adding a naming convention for the Units of the Suite to test. (TestUnit), that will not conflict with Maven's surfire plug-in conventions

that will run any Junit class that ends with 'Test'.

Fixed some Code in NodeAccess that was causing failures in one of the JUnit tests.

Revision 30313d79 - 2014-08-13 06:18 - Robert Waltz

refs #2192

Adding in a test case to confirm the convertTypeFromType method works as expected for Nodes

Revision 14370 - 2014-08-13 06:18 - Robert Waltz

refs #2192

Adding in a test case to confirm the convertTypeFromType method works as expected for Nodes

Revision 14370 - 2014-08-13 06:18 - Robert Waltz

refs #2192

Adding in a test case to confirm the convertTypeFromType method works as expected for Nodes

Revision 14370 - 2014-08-13 06:18 - Robert Waltz

refs #2192

Adding in a test case to confirm the convertTypeFromType method works as expected for Nodes

Revision 14370 - 2014-08-13 06:18 - Robert Waltz

refs #2192

Adding in a test case to confirm the convertTypeFromType method works as expected for Nodes

History

#1 - 2012-01-31 18:03 - Dave Vieglais

- Target version deleted (Sprint-2012.03-Block.1.2)

- Position set to 1

#2 - 2012-06-19 20:08 - Robert Waltz

- Milestone changed from CCI-1.0.0 to CCI-1.1

#3 - 2012-08-22 17:19 - Robert Waltz

- Target version set to Sprint-2012.35-Block.5.2
#4 - 2012-08-29 18:02 - Robert Waltz

- Target version changed from Sprint-2012.35-Block.5.2 to Sprint-2012.37-Block.5.3

#5 - 2012-08-31 03:26 - Chris Jones

- Position deleted (132)

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.39-Block.5.4

- Position set to 1

- Position changed from 1 to 488

#6 - 2012-09-18 18:18 - Robert Waltz

- Milestone changed from CCI-1.1 to CCI-1.0.5

#7 - 2012-09-26 16:54 - Robert Waltz

- Milestone changed from CCI-1.0.5 to CCI-1.1

#8 - 2012-10-05 17:44 - Robert Waltz

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

- translation missing: en.field_remaining_hours set to 0.0

- Due date set to 2012-10-27

- Milestone changed from CCI-1.1 to CCI-1.2

#9 - 2012-10-08 16:47 - Robert Waltz

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

- Due date changed from 2012-10-27 to 2012-12-01

#10 - 2012-12-04 14:30 - Robert Waltz

- Due date changed from 2012-12-01 to 2013-01-19

- Target version changed from Sprint-2012.46-Block.6.3 to 2013.2-Block.1.1

#11 - 2013-03-01 18:59 - Robert Waltz

- Due date changed from 2013-01-19 to 2013-03-30

- Target version changed from 2013.2-Block.1.1 to 2013.12-Block.2.2

#12 - 2013-06-05 04:57 - Robert Waltz

- Due date changed from 2013-03-30 to 2013-07-06

- Target version changed from 2013.12-Block.2.2 to 2013.26-Block.4.1

#13 - 2013-08-02 17:26 - Robert Waltz

- Target version changed from 2013.26-Block.4.1 to 2013.33-Block.4.4

#14 - 2013-08-02 17:26 - Robert Waltz

- Parent task set to #3882

#15 - 2013-08-02 17:53 - Chris Jones

- Assignee changed from Robert Waltz to Rob Nahf

- Milestone changed from CCI-1.2 to CCI-1.3

- Estimated time set to 0.00

Assigning to Rob, who can work with Robert to understand and then implement this.
#16 - 2013-08-02 18:19 - Robert Waltz

- Target version changed from 2013.33-Block.4.4 to 2013.37-Block.5.2

#17 - 2013-08-13 18:51 - Rob Nahf

- Description updated

I didn't find a buildNodeAttributes method, but there is a NodeAccess.buildNodeAttributeMap method. 

I think the NodeAccess.createNode() method might need to be altered, too.

I didn't see any unit tests for registering nodes, and not sure if there's any dependency on certain configurations for testing.

#18 - 2013-08-15 18:53 - Rob Nahf

https://github.com/trevershick/ldap-test-utils - figure out how to use this for unit testing, so as to avoid ldap installation.

#1

#19 - 2013-08-15 19:16 - Robert Waltz

- Target version changed from 2013.37-Block.5.2 to 2013.33-Block.4.4

#20 - 2013-10-28 21:10 - Robert Waltz

- Target version changed from 2013.33-Block.4.4 to 2013.46-Block.6.2

#21 - 2014-01-06 18:45 - Chris Jones

- Target version changed from 2013.46-Block.6.2 to 2014.8-Block.1.4

#22 - 2014-01-06 23:09 - Robert Waltz

- Target version changed from 2014.8-Block.1.4 to 2014.6-Block.1.3

#23 - 2014-03-14 18:17 - Robert Waltz

- Target version changed from 2014.6-Block.1.3 to 2014.14-Block.2.3

#24 - 2014-06-26 22:01 - Robert Waltz

- Target version changed from 2014.14-Block.2.3 to 2014.28-Block.4.2

#25 - 2014-07-29 19:52 - Robert Waltz

- Target version deleted (2014.28-Block.4.2)

#26 - 2014-07-29 19:53 - Robert Waltz

- Product Version set to *

- Assignee changed from Rob Nahf to Robert Waltz

- Milestone changed from CCI-1.3 to CCI-1.4

#27 - 2014-07-31 21:03 - Robert Waltz

- Product Version changed from * to 1.4.0

- Assignee changed from Robert Waltz to Rob Nahf

- Parent task deleted (#3882)
#28 - 2014-07-31 21:33 - Robert Waltz

- Tracker changed from Task to Story

- Start date deleted (2013-08-15)

#29 - 2014-08-04 12:33 - Rob Nahf

added replication policy elements to the map methods. Did not know what to change in NodeRegistryService.updateNodeCapabilities (it seems to be

operating at a more general level).

#30 - 2014-08-28 04:33 - Rob Nahf

- Status changed from New to Closed

NodeReplicationPolicy access is fully implemented in branches/D1_CN_NODEREGISTRY_v1.3. It will require release of

branches/D1_TEST_RESOURCES_v1.3.

#31 - 2014-09-02 18:24 - Skye Roseboom

- Tracker changed from Story to Feature

#32 - 2014-09-02 18:25 - Skye Roseboom

- Estimated time set to 0.00

- Tracker changed from Feature to Task

- Start date set to 2014-09-02

#33 - 2014-09-02 18:26 - Skye Roseboom

- Status changed from Closed to In Progress

#34 - 2014-09-02 18:26 - Skye Roseboom

- Status changed from In Progress to Testing

#35 - 2014-09-02 18:27 - Skye Roseboom

- Start date deleted (2014-09-02)

- Tracker changed from Task to Story

#36 - 2014-09-02 18:28 - Skye Roseboom

- Tracker changed from Story to Feature

#37 - 2014-09-02 18:28 - Skye Roseboom

- Assignee changed from Rob Nahf to Skye Roseboom

#38 - 2014-09-02 18:28 - Skye Roseboom

- Assignee changed from Skye Roseboom to Rob Nahf

- Tracker changed from Feature to Task

- Status changed from Testing to Closed

- Start date set to 2014-09-02

#39 - 2014-09-02 18:29 - Skye Roseboom

- Start date deleted (2014-09-02)

- Tracker changed from Task to Story
#40 - 2014-09-02 18:34 - Rob Nahf

- Start date set to 2014-09-02

- Due date set to 2014-09-02

- Target version set to Release Backlog

#41 - 2014-09-24 18:07 - Robert Waltz

- Target version changed from Release Backlog to CCI-1.5.0

- Due date changed from 2014-09-02 to 2014-09-24

#42 - 2014-09-24 18:07 - Robert Waltz

- Status changed from Closed to In Progress

#43 - 2014-10-02 19:45 - Rob Nahf

- Product Version deleted (1.4.0)

- Due date changed from 2014-09-24 to 2014-10-02

#44 - 2014-11-13 21:37 - Rob Nahf

- Status changed from In Progress to Testing

- Target version changed from CCI-1.5.0 to CCI-1.5.1

- Due date changed from 2014-10-02 to 2014-11-13

- Product Version set to 1.3.0

- Milestone changed from CCI-1.4 to None

moving to CCI-1.6 release to coordinate with #4463 (use of the node replication policy)

#45 - 2015-01-06 18:41 - Dave Vieglais

- Target version changed from CCI-1.5.1 to CCI-2.0.0

- Due date changed from 2014-11-13 to 2015-01-06

#46 - 2015-05-28 20:29 - Rob Nahf

- Target version changed from CCI-2.0.0 to CCI-2.1.0

- % Done changed from 100 to 50

keeping open (testing status), but moved out of v2.0 after discussion.

#47 - 2016-02-09 18:50 - Rob Nahf

- Target version changed from CCI-2.1.0 to CCI-2.2.0

#48 - 2016-03-29 17:56 - Rob Nahf

- Status changed from Testing to Closed

- % Done changed from 50 to 100
